Subject: Re: Successful port of rcs-5.7 to gnu-win32 b18
From: [email-masked] (David Coe)

4 Aug 1997 15:29:42 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <D54B1932FFB4CF11B5C80000F8018BD27DE662@CRCMAIL>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 3.01Gold (WinNT; I)
Original-To: "Billinghurst, David" <[email-masked]>
Original-CC: "[email-masked]'" <[email-masked]>
Original-Sender: [email-masked]

Billinghurst, David wrote:
> 
> I have ported rcs-5.7 to gnu-win32 b18.
> 
> Build procedure
> 
> 1.  Apply patches below to rcs-5.7 source tree

I needed the following additional patch from Lassi Tuura to get past the
mmap stage in make:

*** src/conf.sh.orig	Fri Jun 16 07:19:23 1995
--- src/conf.sh	Mon Aug 04 16:59:17 1997
***************
*** 1025,1030 ****
--- 1025,1034 ----
  	# Early editions of SunOS 5.4 are reported to have problems with mmap
  	# that generate NUL bytes in RCS files with a Solaris 2.2 NFS server.
  	# This has been reported to be fixed as of patch 101945-10.
+ 'CYGWIN32'*)
+ 	# GNU win32 does not permit mmapped file to be opened (returns with
+ 	# "not owner").  So which is signal rcs gets is immaterial.
+ 	has_map_fd=0 has_mmap=1 has_madvise=0 mmap_signal=SIGBUS ;;
  *)
  	$PREPARE_CC || exit
  	if ($CL -DTRY_MAP_FD=1 a.c $L && $aout <a.c) >&2

-- 
Dr David Coe			     \=\
58 Fairlawn Drive, East Grinstead     \=\   Tel +44 1342 326860
West Sussex, RH19 1NT, United Kingdom  \=\  Fax +44 1342 316019
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".